Package org.gradle.play

# Interface PublicAssets

All Superinterfaces:
  `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `ModelElement`, `Named`

@Incubating public interface PublicAssets extends BuildableComponentSpec
A set of public assets added to a binary.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAssetDir(File resourceDir)`
Add an asset directory to this binary.
`Set<File>`
`getAssetDirs()`
A set of asset directories for this binary.

### Methods inherited from interface org.gradle.api.Buildable

`getBuildDependencies`

### Methods inherited from interface org.gradle.api.BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName, getName`

## Method Details

### getAssetDirs

Set<File> getAssetDirs()
A set of asset directories for this binary.

### addAssetDir

void addAssetDir(File resourceDir)
Add an asset directory to this binary.